# NOTE: Derived from blib/lib/ClearCase/Wrapper/MGi.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package ClearCase::Wrapper::MGi;

#line 2836 "blib/lib/ClearCase/Wrapper/MGi.pm (autosplit into blib/lib/auto/ClearCase/Wrapper/MGi/_CpType.al)"
sub _CpType {
  use strict;
  use warnings;
  my ($cpt, @cmt) = @_;
  $CT = new ClearCase::Argv({autochomp=>1});
  my ($src, $dst) = $cpt->args;
  my $glb = $CT->des([qw(-fmt %[type_scope]p)], $src)->qx;
  $glb = 0 if $glb and $glb eq 'ordinary';
  my ($eqt) = grep s/^->\s+(.*)$/$1/, $CT->des([qw(-s -ahl), $EQHL], $src)->qx;
  if ($glb) { #Get the real source
    $src = $CT->des([qw(-fmt %Xn)], $src)->qx;
    $cpt->args($src, $dst);
  }
  my $ret = $cpt->system;
  return $ret if $ret or !($glb or $eqt); # no fallback!
  if ($eqt) {
    my ($deq) = ($eqt =~ /^(.*?)\@/);
    my ($dvb) = ($dst =~ /^.*?(\@.*)$/);
    $deq .= $dvb;
    $ret = $cpt->args($eqt, $deq)->system;
    if (!$ret) {
      if ($glb) {
	$ret = $CT->mkhlink(['GlobalDefinition'], $deq, $eqt)->system;
      } else {
	$ret = $CT->mkhlink([$EQHL], $dst, $deq)->system;
      }
    }
  }
  if ($dst !~ /:/) {
    $dst = "$1$dst" if $src =~ /^(.*?:)/;
  }
  $ret += $CT->mkhlink(['GlobalDefinition'], $dst, $src)->system if $glb;
  return $ret unless $src =~ /^lbtype:/; #no fallback!
  my $rmat = $src;
  $rmat =~ s/lbtype:/attype:Rm/;
  if (!$CT->des(['-s'], $rmat)->stdout(0)->stderr(0)->system) {
    $dst =~ s/lbtype:/attype:Rm/;
    $ret += $cpt->args($rmat, $dst)->system;
    $ret += $CT->mkhlink(['GlobalDefinition'], $dst, $rmat)->system
      if $CT->des([qw(-fmt %[type_scope]p)], $rmat)->stderr(0)->qx eq 'global';
  }
  return $ret;
}

# end of ClearCase::Wrapper::MGi::_CpType
1;
