# NOTE: Derived from blib/lib/ClearCase/Wrapper/MGi.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package ClearCase::Wrapper::MGi;

#line 2099 "blib/lib/ClearCase/Wrapper/MGi.pm (autosplit into blib/lib/auto/ClearCase/Wrapper/MGi/unlock.al)"
sub unlock {
  use warnings;
  use strict;
  my $unlock = ClearCase::Argv->new(@ARGV);
  $unlock->parse(qw(c|cfile=s cquery|cqeach nc version=s pname=s));
  my @args = $unlock->args;
  $CT = ClearCase::Argv->new({autochomp=>1});
  my (@lbt, @oth, %vob, %tvob, %eqt);
  my $locvob = $CT->des(['-s'], 'vob:.')->stderr(0)->qx;
  foreach (@args) {
    if (/^lbtype:/) {
      my $t = $CT->des([qw(-fmt %Xn\n)], $_)->qx;
      if ($CT->des([qw(-fmt %m)], $t)->stderr(0)->qx eq 'label type') {
	my $t1 = $t;
	$tvob{$_} = /lbtype:.*?(@.*)$/? $1 : '';
	$vob{$t} = $2 if $t =~ s/lbtype:(.*?)@(.*)$/$1/;
	push @lbt, $t;
	my @et = grep s/^-> lbtype:(.*)@.*$/$1/,
	  $CT->des([qw(-s -ahl), $EQHL], $t1)->qx;
	if (@et) {
	  my $eq = $et[0];
	  $eqt{$_} = $eq;
	  push @lbt, $eq;
	  $vob{$eq} = $vob{$t};
	}
      }
    } else {
      push @oth, $_;
    }
  }
  my $rc = @oth? $unlock->args(@oth)->system : 0;
  my ($fl, $loaded) = $ENV{FORCELOCK};
  for my $lt (@lbt) {
    my $v = $vob{$lt};
    if ($CT->lslock(['-s'], "lbtype:$lt\@$v")->qx) {
      my @out = $unlock->args("lbtype:$lt\@$v")->stderr(1)->qx;
      if (grep /^cleartool: Error/, @out) {
	if ($fl and !$loaded) {
	  my $fn = $fl; $fn =~ s%::%/%g; $fn .= '.pm';
	  require $fn;
	  $fl->import;
	  $loaded = 1;
	}
	if (!$fl) {
	  print @out;
	  $rc = 1;
	} elsif (funlocklt($lt, $v)) {
	  $rc = 1;
	}
      } else {
	print @out;
      }
    } else {
      warn Msg('E', 'Object is not locked.');
      warn Msg('E', "Unable to unlock label type \"$lt\".");
      $rc = 1;
    }
  }
  for (@args) {
    my $eq = $eqt{$_};
    next unless $eq;
    my $tv = $tvob{$_};
    my $lb = "lbtype:$eq$tv"; #target vob
    if (!$CT->des(['-s'], $lb)->stderr(0)->qx) {
      my $v = $vob{$eq};
      my $ets = ($lb =~ /^([^@]*)/)[0] . "\@$v";
      _Wrap('cptype', $ets, $lb);
    }
  }
  exit $rc;
}

# end of ClearCase::Wrapper::MGi::unlock
1;
